import React, { PropsWithChildren, ReactElement } from 'react';
import { FormControlProps } from 'react-bootstrap/FormControl';
import { IFormFieldProps as ICoreFormFieldProps, IFormFieldPropsEnhanced as ICoreFormFieldPropsEnhanced, IRenderFormField, IFormFieldValue } from '@reactionable/core';
export declare type IFormFieldProps<FieldElement extends React.ElementType, Value extends IFormFieldValue> = Omit<ICoreFormFieldProps<FieldElement, Value>, 'children'> & FormControlProps & {
    label?: string;
    children?: IRenderFormField<FieldElement, Value> | ReactElement;
};
export declare type IFormFieldPropsEnhanced<FieldElement extends React.ElementType, Value extends IFormFieldValue> = ICoreFormFieldPropsEnhanced<FieldElement, Value>;
export declare function FormField<FieldElement extends React.ElementType = 'input', Value extends IFormFieldValue = string>({ label, children, ...props }: PropsWithChildren<IFormFieldProps<FieldElement, Value>>): JSX.Element;
